FOLD(1)

NAME
fold - fold long lines for finite width output device

SYNOPSIS
fold [-bs] [-w width] [file ...]

DESCRIPTION
The fold utility is a filter which folds the contents of the specified files, or the standard input if no files are specified, breaking the lines to have a maximum of 80 columns.

The options are as follows:

-b  Count width in bytes rather than column positions.

-s  Fold line after the last blank character within the first width column positions (or bytes).

-w width
    Specify a line width to use instead of the default 80 columns. The width value should be a multiple of 8 if tabs are present, or the tabs should be expanded using expand(1) before using fold.

ENVIRONMENT
The LANG, LC_ALL and LC_CTYPE environment variables affect the execution of fold as described in environ(7).

SEE ALSO
expand(1), fmt(1)

STANDARDS
The fold utility conforms to p1003.1-2001.

HISTORY
The fold utility first appeared in 1BSD. It was rewritten for 4.3BSD Reno to improve speed and modernize style. The -b and -s options were added to NetBSD 1.0 for p1003.2 compliance.

AUTHORS
-nosplit Bill Joy wrote the original version of fold on June 28, 1977. Kevin Ruddy rewrote the command in 1990, and J. T. Conklin added the missing options in 1993.

BUGS
If underlining (see ul(1)) is present it may be messed up by folding.